package com.gct.diagnose.controller;


import com.gct.common.core.result.Result;
import com.gct.diagnose.service.DgnsEffectAreaService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-28
 */

@Api(value = "Dgns_effect_areaController",description = "作用区域")
@RestController
@RequestMapping("/getArea")
public class DgnsEffectAreaController {

    @Autowired
    private DgnsEffectAreaService dgns_effectAreaService;

    @ApiOperation(value = "getArea(获取作用区域数据)", notes = "获取作用区域数据")
    @GetMapping("/area")
    public Result findArea(){
        return  dgns_effectAreaService.findArea();
    }

}



