package com.gct.diagnose.decisiontree.DataLoadTemplates;

import com.gct.diagnose.decisiontree.DependentDataConstructor;
import com.gct.diagnose.decisiontree.DependentDataFieldEnum;

import java.util.Map;

@DependentDataConstructor.DependentDataLoad(Name = "FELS")
public class FELSJudgeAlgorithmDataLoad implements DependentDataConstructor.IDependentDataLoad {
    @Override
    public void loadData(Map<String, Object> gdMap) {
        //todo :1.4.8 use algorithm to deal sgt get SBFKTCMJ XBFKTCMJ
        gdMap.put(DependentDataFieldEnum.SBFKTCMJ.getEnDec(), Double.valueOf(0.08));
        gdMap.put(DependentDataFieldEnum.XBFKTCMJ.getEnDec(), Double.valueOf(0.08));
        gdMap.put(DependentDataFieldEnum.SXPJZH.getEnDec(), Double.valueOf(1));
        gdMap.put(DependentDataFieldEnum.BZSXPJZH.getEnDec(), Double.valueOf(2));
        gdMap.put(DependentDataFieldEnum.XXPJZH.getEnDec(), Double.valueOf(1));
        gdMap.put(DependentDataFieldEnum.BZXXPJZH.getEnDec(), Double.valueOf(2));
        gdMap.put(DependentDataFieldEnum.SXDDD.getEnDec(),Integer.valueOf(1));
        gdMap.put(DependentDataFieldEnum.XXDDD.getEnDec(),Integer.valueOf(2));
    }
}
