package com.gct.diagnose.decisiontree.MataComputeTemplates;

import com.gct.diagnose.decisiontree.ComputeTemplateProxyFactory;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

/**
 * class name: AddComputeTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/23 下午4:35
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "+",describe = "加法运算模板(多参)")
public class AddComputeTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(@NotNull Object[] args) throws NumberFormatException{
        //double a=0;
        List list = new ArrayList();
        for (Object arg : args) {
            list.add(arg);
            //a+=Double.parseDouble(arg.toString()) ;
        }
        return new Object[]{list.toArray()};
    }
}
