package com.gct.diagnose.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 功图特征库
 * </p>
 *
 * @author wsy
 * @since 2021-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Dgns_effect_area对象", description="作用区域")
@TableName(schema = "public",value = "dgns_effect_area")
public class DgnsEffectArea extends Model<DgnsEffectArea> {

    private static final long serialVersionUID=1L;


    @ApiModelProperty(value = "Id")
    private String effect_id;

    @ApiModelProperty(value = "名称")
    private String effect_name;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
