package com.gct.diagnose.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author xusirui
 * @since 2021-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtbaseparam对象", description="")
public class DgnsGtbaseparam extends Model<DgnsGtbaseparam> {

    private static final long serialVersionUID=1L;
    private Double sAtSlopeMinLoc;
    private Double sAtSlopeMaxLoc;
    private Double slopeDownloadMin=Double.MAX_VALUE;
    private Double slopeDownloadMax=Double.MIN_VALUE;

    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime createtime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime prodDate;

    private String wellname;

    private String wellId;

    private String sgt;

    private double sMax = Double.MIN_VALUE;

    private double sMin = Double.MAX_VALUE;

    private Double lMax = Double.MIN_VALUE;

    private Double lMin = Double.MAX_VALUE;

    private double s;

    private double n;

    private double l;

    private double sEffect;

    private double area;

    private double upload;

    private double download;

    private Integer islegal;

    private String remark;

    private double lMid;

    private double lFirstdownturnpoint;

    private double sPre;

    private Integer sgtpointnum;

    private Integer sMaxPointLocation;

    private Integer sMinPointLocation;

    private Integer lMaxPointLocation;

    private Integer lMinPointLocation;


    @Override
    protected Serializable pkVal() {
        return this.prodDate;
    }

    public String getProdDateStr() {
        String s = JSONObject.toJSONString(this.prodDate);
        return s.substring(0,10)+' '+s.substring(11);
    }
}
