package com.gct.diagnose.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.UUID;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xsr
 * @since 2021-04-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtcvrresult对象", description="")
public class DgnsGtcvrresult extends Model<DgnsGtcvrresult> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "一次诊断结果")
    private String result1;

    @ApiModelProperty(value = "专家经验公式诊断结果")
    private String result2;

    @ApiModelProperty(value = "井号")
    private String wellId;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime prodDateTime;

    @ApiModelProperty(value = "示功图")
    private String sgt;

    @ApiModelProperty(value = "流程json")
    private String processparam;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime createtime;

    @ApiModelProperty(value = "存在问题")
    private String problem;

    @ApiModelProperty(value = "问题处置")
    private String deal;


    @Override
    protected Serializable pkVal() {
        return null;
    }

    public String getCreateTimeStr(){
        String s =  createtime.toString();
        return s.substring(0,10)+' '+s.substring(11);
    }

}
