package com.gct.diagnose.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 获取特征类型
 * </p>
 *
 * @author wsy
 * @since 2021-01-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtgktype对象", description="特征类型")
@TableName(schema = "public",value = "dgns_gtgktype")
public class DgnsGtgktype extends Model<DgnsGtgktype> {

    private static final long serialVersionUID=1L;


    @ApiModelProperty(value = "Id")
    private Integer id;

    @ApiModelProperty(value = "名称")
    private String gkName;

    @ApiModelProperty(value = "别名")
    private String dec;

    @ApiModelProperty(value = "编码")
    private String modbusTranscode;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "逻辑删除标志")
    @TableLogic
    private Integer deleted;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
