package com.gct.diagnose.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xsr
 * @since 2021-05-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtmeasure对象", description="")
public class DgnsGtmeasure extends Model<DgnsGtmeasure> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "工况类型的id")
    private Integer id;

    @ApiModelProperty(value = "对应工况的处理措施")
    private String measure;

    @ApiModelProperty(value = "措施的创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "最近一次更改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "最近一次更改人")
    private String updateUser;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
