package com.gct.diagnose.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * <p>
 * 标准功图设定值
 * </p>
 *
 * @author NewMeanning
 * @since 2021-02-03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtstandardSetting对象", description="标准功图设定值")
public class DgnsGtstandardSetting extends Model<DgnsGtstandardSetting> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "最小匹配相似度")
    private Double similarityNum;

    @ApiModelProperty(value = "限制标准功图数据个数")
    private Integer limitNum;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
