package com.gct.diagnose.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xusirui 2021/4/26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Organization {
    @ApiModelProperty(value = "机构ID;组织机构唯一标识符")
    private String orgId;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "代码;机构代码")
    private String orgCode;

    @ApiModelProperty(value = "级别")
    private Integer orgLevel;

    @ApiModelProperty(value = "父ID;上级组织机构ID")
    private String parentId;


}
