package com.gct.diagnose.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gxt
 * @version 1.0.0
 * @ClassName GstStandarSettingVo.java
 * @Description 标准功图返回的前端对象
 * @createTime 2021年04月27日 09:54:00
 */
@Data
@ApiModel(value="GstStandarSettingVo对象", description="标准功图返回的前端对象")
public class GstStandarSettingVo {


    @ApiModelProperty(value = "作业区,站点,井区")
    private String orgId;
    @ApiModelProperty(value = "井号")
    private String wellId;
    @ApiModelProperty(value = "特征类型")
    private String featureType;
    @ApiModelProperty(value = "当前页数")
    private int page;
    @ApiModelProperty(value = "每页大小")
    private int size;
}
