package com.gct.diagnose.job;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * class name: TriggerConfigurationProperties
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/7/2 下午2:23
 */
@Data
public class TriggerConfigurationProperties {
    private int intervalInSeconds = 1;
    private String jobName = "DEFAULT";
    private String jobGroup = "DEFAULT_GROUP";
    private long delayMilliseconds = 0;
    private boolean isRepeatable = false;
}
