package com.gct.diagnose.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.diagnose.entity.DgnsGtbaseparam;
import org.springframework.scheduling.annotation.Async;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xusirui
 * @since 2021-04-13
 */
public interface DgnsGtbaseparamService extends IService<DgnsGtbaseparam> {
    DgnsGtbaseparam getById(String id);

    DgnsGtbaseparam getByWellName(String wellName);

    DgnsGtbaseparam getByWellIdAndProdDate(String wellName, String prodDate);

    List<DgnsGtbaseparam> getNearlyOneHour();

    @Async
    void asyncAddGtbaseparam(DgnsGtbaseparam dgnsGtbaseparam);
}
