package com.gct.diagnose.service;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.diagnose.entity.DgnsGtcvrresult;
import com.baomidou.mybatisplus.extension.service.IService;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xsr
 * @since 2021-04-19
 */
public interface DgnsGtcvrresultService extends IService<DgnsGtcvrresult> {
    public DgnsGtcvrresult getById(String id);

    Result getByWellNameAndProdDate(String wellId, String prodDate);

    void add(DgnsGtcvrresult dgnsGtcvrresult);

    List<DgnsGtcvrresult> getDgnsCvrresultTimeList(String well_Id,String date);

    Result getDefaultCvrresult();

    JSONObject getUserConfirm(String id, String problem, String wellId, String wellName);

    boolean saveUserConfirm(String id, String problem, String deal, String dealContent, String endDate, String effectDay,String username);

    Result getDgnsCvrresultById(String id);

    Result getCvrresultByTime(String beginTime, String endTime, String wellId, Integer pageNum, Integer pageSize);

    Result getDefaultDgnsAlgorithmName(String orgId, String gk) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;

    Result getDgnsAlgorithm(Integer algorithms, String name, String orgId);

    void asyncAddCvrresult(DgnsGtcvrresult dgnsGtcvrresult);
}
