package com.gct.diagnose.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;
import com.gct.diagnose.entity.DgnsGtgktype;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xsr
 * @since 2021-04-26
 */
public interface DgnsGtgktypeService extends IService<DgnsGtgktype> {

    JSONObject getAllGtCardLibCount(Integer curPage, Integer pageSize);

    boolean addGtGkType(DgnsGtgktype type);

    boolean deleteGtGkType(Integer id);

    @Transactional
    boolean updateGtGkType(DgnsGtgktype dgnsGtgktype);

    DgnsGtgktype getGtGkTypeById(Integer id);

    Result findGtgktype();
}
