package com.gct.diagnose.service;

import com.gct.common.core.result.Result;
import com.gct.diagnose.entity.DgnsGtstandardSetting;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.diagnose.entity.Vo.GstStandarSettingVo;

import java.util.Map;

/**
 * <p>
 *  标准功图设置
 * </p>
 *
 * @author NewMeanning
 * @since 2021-02-03
 */
public interface DgnsGtstandardSettingService extends IService<DgnsGtstandardSetting> {

    /**
     * 设置标准功图
     * @param dgnsGtstandardSetting
     * @return
     */
    Result setting(DgnsGtstandardSetting dgnsGtstandardSetting);

    /**
     * 获取设置信息
     * @return
     */
    Result getSettingInfo();

    /**
     * 获取设置
     * @return
     */
    DgnsGtstandardSetting getSetting();

    Map<String, Object> getGtstandardSettingInfoPages(GstStandarSettingVo gstStandarSettingVo);

    Object getInfoByIDPages(String id, Integer page, Integer size);
}
