package com.gct.diagnose.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.common.core.result.Result;
import com.gct.diagnose.entity.DgnsEffectArea;
import com.gct.diagnose.mapper.DgnsEffectAreaMapper;
import com.gct.diagnose.service.DgnsEffectAreaService;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wsy
 * @since 2021-1-27
 */
@Service

public class DgnsEffectAreaServiceImpl extends ServiceImpl<DgnsEffectAreaMapper, DgnsEffectArea> implements DgnsEffectAreaService {



    @Autowired
    private DgnsEffectAreaMapper dgns_effectAreaMapper;




    @Override
    public Result findArea() {
        QueryWrapper<DgnsEffectArea> queryWrapper = new QueryWrapper<>();
        QueryWrapper<DgnsEffectArea> wrapper = queryWrapper.select(
                "effect_id",
                "effect_name");
        List<Map<String, Object>> maps = dgns_effectAreaMapper.selectMaps(wrapper);
        return Result.ok(maps);

    }
}
