package com.gct.diagnose.service.impl;


import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.diagnose.DiagnoseApplication;
import com.gct.diagnose.decisiontree.DependentDataFieldEnum;
import com.gct.diagnose.entity.DgnsGtcvrresult;
import com.gct.diagnose.feignclient.BaseDataClient;
import com.gct.diagnose.service.DgnsEffectAreaService;
import com.gct.diagnose.service.DgnsGtcvrresultService;
import lombok.extern.slf4j.Slf4j;
//import org.junit.jupiter.api.Test;// Don't use the @Test that in the package
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@Slf4j
@SpringBootTest(classes = DiagnoseApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class Dgns_effectAreaServiceImplTest {

    @Autowired
    private DgnsEffectAreaService dgns_effectAreaService;


    @Test
    public void test() {//test error  2021.1.25 19:17
        try {
            System.out.println(DependentDataFieldEnum.valueOf("HHH"));
        }catch (Exception e){
            System.out.println("Not Found");
        }

    }

    @Autowired
    DgnsGtcvrresultService dgnsGtcvrresultService;

    @Autowired
    BaseDataClient baseDataClient;

    private String getCommonName(String wellId) {
        JSONObject jo = JSONObject.parseObject(JSONObject.parseObject(baseDataClient.getWellSource(wellId), Result.class).getData().toString());
        return jo.getString("wellCommonName");
    }

    @Test
    public void test1(){
        List<DgnsGtcvrresult> list = dgnsGtcvrresultService.list();
        list.forEach(x->{
            String processparam = x.getProcessparam();
            processparam.replaceAll("\n","<br>");
            JSONObject jsonObject = JSONObject.parseObject(processparam);
            x.setProcessparam(jsonObject.toJSONString());
        });
        dgnsGtcvrresultService.saveOrUpdateBatch(list);
        /*list.forEach(x->{
            String commonName = getCommonName(x.getWellId());
            System.out.println(commonName+"   "+x.getProdDateTime());
        });*/
    }
}