package com.gct.diagnose.controller;


import com.gct.common.core.result.Result;
import com.gct.diagnose.entity.DgnsGtbaseparam;
import com.gct.diagnose.service.DgnsGtbaseparamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xsr
 * @since 2021-04-19
 */
@RestController
@RequestMapping("/dgnsGtbaseparam")
public class DgnsGtbaseparamController {
    @Autowired
    DgnsGtbaseparamService dgnsGtbaseparamService;

    @GetMapping(path = "/getBaseparamById/{id}")
    public Result getDiagramCardBaseParamByID(@PathVariable("id") String id) {
        return Result.ok(dgnsGtbaseparamService.getById(id));
    }

}

