package com.gct.diagnose.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author xsr
 * @since 2021-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtmeasureInfo对象", description="")
public class DgnsGtmeasureInfo extends Model<DgnsGtmeasureInfo> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "井号")
    private String wellId;

    @ApiModelProperty(value = "生产时间")
    private LocalDateTime prodDate;

    @ApiModelProperty(value = "下步措施")
    private String measure;

    @ApiModelProperty(value = "完成时间")
    private LocalDateTime endDate;

    @ApiModelProperty(value = "见效时间")
    private Integer effectDay;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "进度")
    private String schedule;

    @ApiModelProperty(value = "原因")
    private String reason;

    @ApiModelProperty(value = "评价")
    private String evaluate;

    @ApiModelProperty(value = "安排人")
    private String arranger;

    @ApiModelProperty(value = "责任人")
    private String responsible;

    @ApiModelProperty(value = "完成时间")
    private LocalDateTime finishTime;

    @ApiModelProperty(value = "存在问题")
    private String problem;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}