package com.gct.diagnose.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="功图对象", description="消息队列取出的功图对象")
public class DgnsMessage {
    List<Double>sgt;
    Integer orgId;
    String wellName;
    Date prodDate;
    String wellId;
}
