package com.gct.diagnose.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: Jyx
 * @Since: 2021/1/26 12:57
 */
@ApiModel(value = "ParamForDiagramValidate", description = "功图对象")
public class ParamForDiagramValidate {
    @ApiModelProperty(value = "功图点数")
    public int gtPointNum;
    @ApiModelProperty(value = "功图点数 最小载荷为0的百分比")
    public double gtPointNumPercent;
    @ApiModelProperty(value = "位移最小值")
    public double shiftMin;
    @ApiModelProperty(value = "位移最大值")
    public double shiftMax;
    @ApiModelProperty(value = "载荷最小值")
    public double loadMin;
    @ApiModelProperty(value = "载荷最大值")
    public double loadMax;
    @ApiModelProperty(value = "冲次")
    public int n;

    //默认 0
    @ApiModelProperty(value = "载荷最小值限制条件")
    public double loadMinX;
    //默认 5%
    @ApiModelProperty(value = "载荷差 位移前百分比")
    public double shiftBeforePercent;
    //默认 2.5%
    @ApiModelProperty(value = "载荷差 位移后百分比")
    public double shiftBehindPercent;
    // -1: default; 0: not legal; 1: in legal
    @ApiModelProperty(value = "是否合法")
    public int isLegal;
    //默认 50
    public int gtPointsNumConditionlimit;
    //默认 -1
    public int loadFistDownTurnPointDefault;

    public double s_effect;
    public double shiftDiff;
    public double loadDiff;
    public double loadMiddle;
    public double area;
    public double s_xlmax;
    public double s_xlmin;
    public double xl_downloadmax;
    public double xl_downloadmin;
    public double loadFistDownTurnPoint;
    public double upLoad;
    public double downLoad;

    //对应[  shiftMax  ]的在array中的 index
    public int shiftMaxPointLocation;
    //对应[  shiftMin  ]的在array中的 index
    public int shiftMinPointLocation;
    //对应[  loadMax  ]的在array中的 index
    public int loadMaxPointLocation;
    //对应[  loadMin  ]的在array中的 index
    public int loadMinPointLocation;
}
