package com.gct.diagnose.entity;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 *@author xusirui 2021-4-21
 */


@ApiModel(value = "采出井井筒状态日数据")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WellStatusDailyData {
    @ApiModelProperty("动液面")
    public Double startPumpLiqLevel;
    @ApiModelProperty("泵深")
    public Double pumpDepth;
    @ApiModelProperty("泵径")
    public Double oilNozzle;
}
