package com.gct.diagnose.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 *@author xusirui 2021-4-21
 */


@ApiModel(value = "采出井井筒生产日数据")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WellVolDailyData {
    @ApiModelProperty("含水率")
    public Double waterCut;
    @ApiModelProperty("日产液")
    public Double liqProdDaily;
    @ApiModelProperty("日产油")
    public Double oilProdDaily;
}
