package com.gct.diagnose.feignclient;

import com.gct.common.core.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author xusirui 2021/5/13
 */
@FeignClient(value = "warning",fallback = WnDataClientFallback.class/*,url = "${feign.addr2}"*/)
public interface WnDataClient {
    @GetMapping("/wnGkMsg/addUserConfirm/{problem}/{measure}/{username}/{resultId}")
    String addUserConfirm(
            @PathVariable("problem") String problem,
            @PathVariable("measure") String measure,
            @PathVariable("username") String username,
            @PathVariable("resultId")String resultId);


}
