package com.gct.diagnose.mapper;

import com.gct.diagnose.entity.DgnsGtfeatures;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-27
 */
public interface DgnsGtfeaturesMapper extends BaseMapper<DgnsGtfeatures> {

    List<DgnsGtfeatures> findFeaturesByPages(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize,
                                             @Param("jh") List jh, @Param("effect_area") Integer effect_area,
                                             @Param("graphic_feature_interpretation") String graphic_feature_interpretation);

    int getTotal(@Param("jh") List jh, @Param("effect_area") Integer effect_area,
                 @Param("graphic_feature_interpretation") String graphic_feature_interpretation);
    int gett(@Param("jh") List jh);
}
