package com.gct.diagnose.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gct.diagnose.entity.DgnsGtgktype;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xsr
 * @since 2021-04-26
 */
public interface DgnsGtgktypeMapper extends BaseMapper<DgnsGtgktype> {
    @Select("SELECT t.gk_name,t.id, sum(case when dgns_gtcard_lib.code is not null then 1 else 0 end )\n" +
            "FROM (select * from dgns_gtgktype where deleted!=1) t left join dgns_gtcard_lib on t.id = dgns_gtcard_lib.code\n" +
            "GROUP BY t.gk_name,t.id")
    Page<Map<String,Object>> getAllGtCardLib(IPage page);
}
