package com.gct.diagnose.service;

import com.gct.common.core.result.Result;
import com.gct.diagnose.entity.DgnsEffectArea;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  获取所有作用区域
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-28
 */

public interface DgnsEffectAreaService extends IService<DgnsEffectArea> {

    /**
     * 绑定作用区域
     * @return
     */
    Result findArea();

}
