package com.gct.diagnose.service;

import com.gct.diagnose.entity.DgnsGtfeatures;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-27
 */

public interface DgnsGtfeaturesService extends IService<DgnsGtfeatures> {

    /**
     * 分页查询特征库
     * @param pageNum
     * @param pageSize

     * @return
     */

    Map<String, Object> findFeaturesByPages(Integer pageNum, Integer pageSize, Integer effect_area, String graphic_feature_interpretation, String orgid, String jh);


    List<DgnsGtfeatures> workingConditionManagement();

    Object getInfoByIDPages(String id, Integer page, Integer size);
}
