package com.gct.diagnose.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.diagnose.entity.DgnsGtmloutcode;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author NewMeanning
 * @since 2021-03-04
 */
public interface DgnsGtmloutcodeService extends IService<DgnsGtmloutcode> {

    /**
     * 获取工况类型码
     * @param gkcode
     * @return
     */
    DgnsGtmloutcode getByCode(Integer gkcode);

    /**
     * 更新工况类型码
     * @param dgnsGtmloutcode
     * @return
     */
    boolean updateByCode(DgnsGtmloutcode dgnsGtmloutcode);

    /**
     * 删除工况类型码
     * @param gkcode
     * @return
     */
    boolean deleteByCode(Integer gkcode);

    /**
     * 插入工况类型
     * @param dgnsGtmloutcode
     * @return
     */
    boolean insertGkCode(DgnsGtmloutcode dgnsGtmloutcode);

}
