package com.gct.diagnose.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.diagnose.entity.DgnsGtbaseparam;
import com.gct.diagnose.entity.DgnsGtstandard;
import lombok.extern.slf4j.Slf4j;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  计算标准功图的服务
 * </p>
 *
 * @author NewMeanning
 * @since 2021-02-03
 */

public interface DgnsGtstandardService extends IService<DgnsGtstandard> {

    void executeCalculateTask(DgnsGtbaseparam dgnsGtbaseparam, List<DgnsGtstandard> dgnsGtstandardList, List<DgnsGtstandard> addedDgnsGtstandardList);

    List<DgnsGtstandard> getNearlyMostAppearCounter(String wellName, String date);


}