/*
package com.gct.diagnose.thriftclient;

import com.gct.diagnose.DiagnoseApplication;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.thrift.TException;
import org.apache.thrift.protocol.TBinaryProtocol;
import org.apache.thrift.protocol.TProtocol;
import org.apache.thrift.transport.TSocket;
import org.apache.thrift.transport.TTransport;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.time.Duration;
import java.time.LocalDateTime;
import java.util.concurrent.CountDownLatch;

import static org.junit.jupiter.api.Assertions.*;

@Slf4j
@SpringBootTest(classes = Diagnose.class)
@RunWith(SpringRunner.class)
@EnableConfigurationProperties({ThriftClientProperties.class, ThriftSocketClientPoolProperties.class})
public class gtcvrServiceTest {

    @Autowired
    ThriftClientProperties thriftClientProperties;


    @SneakyThrows
    @Test
    public void test() {
        LocalDateTime time=LocalDateTime.now();
        final  TTransport transport = new TSocket(thriftClientProperties.getHost(), thriftClientProperties.getPort(), thriftClientProperties.getTimeout());
        transport.open();
        CountDownLatch cdl=new CountDownLatch(10);
        for (int i = 0; i < 10; i++) {
//            transport.open();

            new Thread(()->{
                TProtocol tProtocol = new TBinaryProtocol(transport);
                gtcvrService.Client client = new gtcvrService.Client(tProtocol);
                try {
                    client.GTPredictType(null,0);
                } catch (TException e) {
                    e.printStackTrace();
                }
                cdl.countDown();
            }).start();


//            transport = client.getInputProtocol().getTransport();

//            transport.close();
        }
        cdl.await();
        LocalDateTime now = LocalDateTime.now();

        System.out.println("total millis: "+Duration.between(time, now).toMillis());
    }
}*/
